# Deprecated API

## Contents

- Terminally Deprecated
- Interfaces
- Fields
- Methods

- Terminally Deprecated Elements
  Element
  Description
  jakarta.servlet.http.Cookie.getComment()
  This is no longer required with RFC 6265
  jakarta.servlet.http.Cookie.getVersion()
  This is no longer required with RFC 6265
  jakarta.servlet.http.Cookie.setComment(String)
  This is no longer required with RFC 6265
  jakarta.servlet.http.Cookie.setVersion(int)
  This is no longer required with RFC 6265
  jakarta.servlet.http.HttpServlet.LEGACY_DO_HEAD
  May be removed in a future release
  jakarta.servlet.SessionCookieConfig.getComment()
  This is no longer required with RFC 6265
  jakarta.servlet.SessionCookieConfig.setComment(String)
  This is no longer required with RFC 6265

- Deprecated Interfaces
  Interface
  Description
  jakarta.servlet.http.PushBuilder
  In favor of 103 early hints

- Deprecated Fields
  Field
  Description
  jakarta.servlet.http.HttpServlet.LEGACY_DO_HEAD
  May be removed in a future release

- Deprecated Methods
  Method
  Description
  jakarta.servlet.http.Cookie.getComment()
  This is no longer required with RFC 6265
  jakarta.servlet.http.Cookie.getVersion()
  This is no longer required with RFC 6265
  jakarta.servlet.http.Cookie.setComment(String)
  This is no longer required with RFC 6265
  jakarta.servlet.http.Cookie.setVersion(int)
  This is no longer required with RFC 6265
  jakarta.servlet.http.HttpServletRequest.newPushBuilder()
  In favor of 103 early hints
  jakarta.servlet.http.HttpServletRequestWrapper.newPushBuilder()
  In favor of 103 early hints
  jakarta.servlet.SessionCookieConfig.getComment()
  This is no longer required with RFC 6265
  jakarta.servlet.SessionCookieConfig.setComment(String)
  This is no longer required with RFC 6265